;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-

;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          cl-couchdb.asd
;;;; Purpose:       ASDF definition for cl-couchdb-test
;;;; Programmer:    Nicolas Lamirault <nicolas.lamirault@gmail.com>
;;;;
;;;; This file, part of cl-couchdb, is Copyright (c) 2007 by Nicolas Lamirault
;;;;
;;;; cl-couchdb users are granted the rights to distribute and use this software
;;;; as governed by the terms of the Lisp Lesser GNU Public License
;;;; (http://opensource.franz.com/preamble.html), also known as the LLGPL.
;;;;
;;;; *************************************************************************


(in-package :asdf)


(defsystem cl-couchdb-test
    :name "cl-couchdb-test"
    :author "Nicolas Lamirault <nicolas.lamirault@gmail.com>"
    :maintainer "Nicolas Lamirault <nicolas.lamirault@gmail.com>"
    :version "0.1"
    :licence "Lisp Lesser GNU General Public License"
    :description "Common Lisp wrapper of the Twitter API."
    :depends-on (:cl-couchdb :cl-ppcre :cl-json)
    :components
    ((:module :lib
              :components
              ((:file "lisp-unit")))
     (:module :test
              :depends-on (:lib)
              :components
              ((:file "package")
               (:file "server" :depends-on ("package"))
               (:file "db" :depends-on ("package"))
               (:file "doc" :depends-on ("package"))
               ))))

